<?xml version="1.0" encoding="us-ascii"?>
<!--Generated by Broadridge PROfile 23.1.2.5118 Broadridge-->
<xs:schema targetNamespace="http://yorkwater.com/20221231" elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:yorw="http://yorkwater.com/20221231" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:us-types="http://fasb.org/us-types/2022" xmlns:srt-types="http://fasb.org/srt-types/2022" xmlns:dei="http://xbrl.sec.gov/dei/2022" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21">
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:type="simple" xlink:href="yorw-20221231_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="yorw-20221231_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="yorw-20221231_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="yorw-20221231_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:roleType roleURI="http://yorkwater.com/role/DocumentAndEntityInformation" id="DocumentAndEntityInformation">
        <link:definition>000100 - Document - Document and Entity Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/BalanceSheets" id="BalanceSheets">
        <link:definition>010000 - Statement - Balance Sheets</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/BalanceSheetsParenthetical" id="BalanceSheetsParenthetical">
        <!--Parent Role: Balance Sheets-->
        <link:definition>010100 - Statement - Balance Sheets (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/StatementsOfIncome" id="StatementsOfIncome">
        <link:definition>020000 - Statement - Statements of Income</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/StatementsOfCommonStockholdersEquity" id="StatementsOfCommonStockholdersEquity">
        <link:definition>030000 - Statement - Statements of Common Stockholders' Equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/StatementsOfCommonStockholdersEquityParenthetical" id="StatementsOfCommonStockholdersEquityParenthetical">
        <!--Parent Role: Statements of Common Stockholders' Equity-->
        <link:definition>030100 - Statement - Statements of Common Stockholders' Equity (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/StatementsOfCashFlows" id="StatementsOfCashFlows">
        <link:definition>040000 - Statement - Statements of Cash Flows</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/StatementsOfCashFlowsParenthetical" id="StatementsOfCashFlowsParenthetical">
        <!--Parent Role: Statements of Cash Flows-->
        <link:definition>040100 - Statement - Statements of Cash Flows (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/SignificantAccountingPolicies" id="SignificantAccountingPolicies">
        <link:definition>060100 - Disclosure - Significant Accounting Policies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/Acquisitions" id="Acquisitions">
        <link:definition>060200 - Disclosure - Acquisitions</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/AccountsReceivableAndContractAssets" id="AccountsReceivableAndContractAssets">
        <link:definition>060300 - Disclosure - Accounts Receivable and Contract Assets</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/NoteReceivableAndCustomersAdvancesForConstruction" id="NoteReceivableAndCustomersAdvancesForConstruction">
        <link:definition>060400 - Disclosure - Note Receivable and Customers' Advances for Construction</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/CommonStockAndEarningsPerShare" id="CommonStockAndEarningsPerShare">
        <link:definition>060500 - Disclosure - Common Stock and Earnings Per Share</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/LongtermDebtAndShorttermBorrowings" id="LongtermDebtAndShorttermBorrowings">
        <link:definition>060600 - Disclosure - Long-Term Debt and Short-Term Borrowings</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/FairValueOfFinancialInstruments" id="FairValueOfFinancialInstruments">
        <link:definition>060700 - Disclosure - Fair Value of Financial Instruments</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/Commitments" id="Commitments">
        <link:definition>060800 - Disclosure - Commitments</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/Revenue" id="Revenue">
        <link:definition>060900 - Disclosure - Revenue</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/RateMatters" id="RateMatters">
        <link:definition>061000 - Disclosure - Rate Matters</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/EmployeeBenefitPlans" id="EmployeeBenefitPlans">
        <link:definition>061100 - Disclosure - Employee Benefit Plans</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/StockbasedCompensation" id="StockbasedCompensation">
        <link:definition>061200 - Disclosure - Stock-Based Compensation</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/TaxesOtherThanIncomeTaxes" id="TaxesOtherThanIncomeTaxes">
        <link:definition>061300 - Disclosure - Taxes Other than Income Taxes</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/IncomeTaxes" id="IncomeTaxes">
        <link:definition>061400 - Disclosure - Income Taxes</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/SubsequentEvent" id="SubsequentEvent">
        <link:definition>061500 - Disclosure - Subsequent Event</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/ScheduleIiValuationAndQualifyingAccounts" id="ScheduleIiValuationAndQualifyingAccounts">
        <link:definition>061600 - Schedule - Schedule II - Valuation and Qualifying Accounts</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/SignificantAccountingPoliciesPolicies" id="SignificantAccountingPoliciesPolicies">
        <!--Parent Role: Significant Accounting Policies-->
        <link:definition>070100 - Disclosure - Significant Accounting Policies (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/RevenuePolicies" id="RevenuePolicies">
        <!--Parent Role: Revenue-->
        <link:definition>070900 - Disclosure - Revenue (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/SignificantAccountingPoliciesTables" id="SignificantAccountingPoliciesTables">
        <!--Parent Role: Significant Accounting Policies-->
        <link:definition>080100 - Disclosure - Significant Accounting Policies (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/AccountsReceivableAndContractAssetsTables" id="AccountsReceivableAndContractAssetsTables">
        <!--Parent Role: Accounts Receivable and Contract Assets-->
        <link:definition>080300 - Disclosure - Accounts Receivable and Contract Assets (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/NoteReceivableAndCustomersAdvancesForConstructionTables" id="NoteReceivableAndCustomersAdvancesForConstructionTables">
        <!--Parent Role: Note Receivable and Customers' Advances for Construction-->
        <link:definition>080400 - Disclosure - Note Receivable and Customers' Advances for Construction (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/CommonStockAndEarningsPerShareTables" id="CommonStockAndEarningsPerShareTables">
        <!--Parent Role: Common Stock and Earnings Per Share-->
        <link:definition>080500 - Disclosure - Common Stock and Earnings Per Share (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/LongtermDebtAndShorttermBorrowingsTables" id="LongtermDebtAndShorttermBorrowingsTables">
        <!--Parent Role: Long-Term Debt and Short-Term Borrowings-->
        <link:definition>080600 - Disclosure - Long-Term Debt and Short-Term Borrowings (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/FairValueOfFinancialInstrumentsTables" id="FairValueOfFinancialInstrumentsTables">
        <!--Parent Role: Fair Value of Financial Instruments-->
        <link:definition>080700 - Disclosure - Fair Value of Financial Instruments (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/RevenueTables" id="RevenueTables">
        <!--Parent Role: Revenue-->
        <link:definition>080900 - Disclosure - Revenue (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/EmployeeBenefitPlansTables" id="EmployeeBenefitPlansTables">
        <!--Parent Role: Employee Benefit Plans-->
        <link:definition>081100 - Disclosure - Employee Benefit Plans (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/StockbasedCompensationTables" id="StockbasedCompensationTables">
        <!--Parent Role: Stock-Based Compensation-->
        <link:definition>081200 - Disclosure - Stock-Based Compensation (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/TaxesOtherThanIncomeTaxesTables" id="TaxesOtherThanIncomeTaxesTables">
        <!--Parent Role: Taxes Other than Income Taxes-->
        <link:definition>081300 - Disclosure - Taxes Other than Income Taxes (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/IncomeTaxesTables" id="IncomeTaxesTables">
        <!--Parent Role: Income Taxes-->
        <link:definition>081400 - Disclosure - Income Taxes (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/SignificantAccountingPoliciesUtilityPlantAndDepreciationDetails" id="SignificantAccountingPoliciesUtilityPlantAndDepreciationDetails">
        <!--Parent Role: Significant Accounting Policies-->
        <link:definition>090100 - Disclosure - Significant Accounting Policies, Utility Plant and Depreciation (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/SignificantAccountingPoliciesRestrictedCashDetails" id="SignificantAccountingPoliciesRestrictedCashDetails">
        <!--Parent Role: Significant Accounting Policies-->
        <link:definition>090102 - Disclosure - Significant Accounting Policies, Restricted Cash (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/SignificantAccountingPoliciesRegulatoryAssetsAndLiabilitiesDetails" id="SignificantAccountingPoliciesRegulatoryAssetsAndLiabilitiesDetails">
        <!--Parent Role: Significant Accounting Policies-->
        <link:definition>090104 - Disclosure - Significant Accounting Policies, Regulatory Assets and Liabilities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/SignificantAccountingPoliciesInterestRateSwapAgreementDetails" id="SignificantAccountingPoliciesInterestRateSwapAgreementDetails">
        <!--Parent Role: Significant Accounting Policies-->
        <link:definition>090106 - Disclosure - Significant Accounting Policies, Interest Rate Swap Agreement (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/SignificantAccountingPoliciesIncomeTaxesDetails" id="SignificantAccountingPoliciesIncomeTaxesDetails">
        <!--Parent Role: Significant Accounting Policies-->
        <link:definition>090108 - Disclosure - Significant Accounting Policies, Income Taxes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/SignificantAccountingPoliciesAllowanceForFundsUsedDuringConstructionDetails" id="SignificantAccountingPoliciesAllowanceForFundsUsedDuringConstructionDetails">
        <!--Parent Role: Significant Accounting Policies-->
        <link:definition>090110 - Disclosure - Significant Accounting Policies, Allowance for Funds Used During Construction (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/AcquisitionsDetails" id="AcquisitionsDetails">
        <!--Parent Role: Acquisitions-->
        <link:definition>090200 - Disclosure - Acquisitions (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/AccountsReceivableAndContractAssetsDetails" id="AccountsReceivableAndContractAssetsDetails">
        <!--Parent Role: Accounts Receivable and Contract Assets-->
        <link:definition>090300 - Disclosure - Accounts Receivable and Contract Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/NoteReceivableAndCustomersAdvancesForConstructionDetails" id="NoteReceivableAndCustomersAdvancesForConstructionDetails">
        <!--Parent Role: Note Receivable and Customers' Advances for Construction-->
        <link:definition>090400 - Disclosure - Note Receivable and Customers' Advances for Construction (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/CommonStockAndEarningsPerShareDetails" id="CommonStockAndEarningsPerShareDetails">
        <!--Parent Role: Common Stock and Earnings Per Share-->
        <link:definition>090500 - Disclosure - Common Stock and Earnings Per Share (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/LongtermDebtAndShorttermBorrowingsLongtermDebtDetails" id="LongtermDebtAndShorttermBorrowingsLongtermDebtDetails">
        <!--Parent Role: Long-Term Debt and Short-Term Borrowings-->
        <link:definition>090600 - Disclosure - Long-Term Debt and Short-Term Borrowings, Long-Term Debt (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/LongtermDebtAndShorttermBorrowingsPaymentsDueByYearDetails" id="LongtermDebtAndShorttermBorrowingsPaymentsDueByYearDetails">
        <!--Parent Role: Long-Term Debt and Short-Term Borrowings-->
        <link:definition>090602 - Disclosure - Long-Term Debt and Short-Term Borrowings, Payments Due by Year (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/LongtermDebtAndShorttermBorrowingsFixedRateLongtermDebtDetails" id="LongtermDebtAndShorttermBorrowingsFixedRateLongtermDebtDetails">
        <!--Parent Role: Long-Term Debt and Short-Term Borrowings-->
        <link:definition>090604 - Disclosure - Long-Term Debt and Short-Term Borrowings, Fixed Rate Long-Term Debt (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/LongtermDebtAndShorttermBorrowingsVariableRateLongtermDebtDetails" id="LongtermDebtAndShorttermBorrowingsVariableRateLongtermDebtDetails">
        <!--Parent Role: Long-Term Debt and Short-Term Borrowings-->
        <link:definition>090606 - Disclosure - Long-Term Debt and Short-Term Borrowings, Variable Rate Long-Term Debt (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/LongtermDebtAndShorttermBorrowingsInterestRateSwapAgreementDetails" id="LongtermDebtAndShorttermBorrowingsInterestRateSwapAgreementDetails">
        <!--Parent Role: Long-Term Debt and Short-Term Borrowings-->
        <link:definition>090608 - Disclosure - Long-Term Debt and Short-Term Borrowings, Interest Rate Swap Agreement (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/LongtermDebtAndShorttermBorrowingsLineOfCreditBorrowingsDetails" id="LongtermDebtAndShorttermBorrowingsLineOfCreditBorrowingsDetails">
        <!--Parent Role: Long-Term Debt and Short-Term Borrowings-->
        <link:definition>090610 - Disclosure - Long-Term Debt and Short-Term Borrowings, Line of Credit Borrowings (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/LongtermDebtAndShorttermBorrowingsDebtCovenantsAndRestrictionsDetails" id="LongtermDebtAndShorttermBorrowingsDebtCovenantsAndRestrictionsDetails">
        <!--Parent Role: Long-Term Debt and Short-Term Borrowings-->
        <link:definition>090612 - Disclosure - Long-Term Debt and Short-Term Borrowings, Debt Covenants and Restrictions (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/FairValueOfFinancialInstrumentsDetails" id="FairValueOfFinancialInstrumentsDetails">
        <!--Parent Role: Fair Value of Financial Instruments-->
        <link:definition>090700 - Disclosure - Fair Value of Financial Instruments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/CommitmentsDetails" id="CommitmentsDetails">
        <!--Parent Role: Commitments-->
        <link:definition>090800 - Disclosure - Commitments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/RevenueDetails" id="RevenueDetails">
        <!--Parent Role: Revenue-->
        <link:definition>090900 - Disclosure - Revenue (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/RateMattersDetails" id="RateMattersDetails">
        <!--Parent Role: Rate Matters-->
        <link:definition>091000 - Disclosure - Rate Matters (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/EmployeeBenefitPlansChangesInBenefitObligationAndPlanAssetsDetails" id="EmployeeBenefitPlansChangesInBenefitObligationAndPlanAssetsDetails">
        <!--Parent Role: Employee Benefit Plans-->
        <link:definition>091100 - Disclosure - Employee Benefit Plans, Changes in Benefit Obligation and Plan Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/EmployeeBenefitPlansComponentsOfNetPeriodicBenefitCostDetails" id="EmployeeBenefitPlansComponentsOfNetPeriodicBenefitCostDetails">
        <!--Parent Role: Employee Benefit Plans-->
        <link:definition>091102 - Disclosure - Employee Benefit Plans, Components of Net Periodic Benefit Cost (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/EmployeeBenefitPlansBenefitPaymentsExpectedToBePaidDetails" id="EmployeeBenefitPlansBenefitPaymentsExpectedToBePaidDetails">
        <!--Parent Role: Employee Benefit Plans-->
        <link:definition>091104 - Disclosure - Employee Benefit Plans, Benefit Payments Expected to be Paid (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/EmployeeBenefitPlansProjectedBenefitObligationAccumulatedBenefitObligationAndFairValueOfPlanAssetsDetails" id="EmployeeBenefitPlansProjectedBenefitObligationAccumulatedBenefitObligationAndFairValueOfPlanAssetsDetails">
        <!--Parent Role: Employee Benefit Plans-->
        <link:definition>091106 - Disclosure - Employee Benefit Plans, Projected Benefit Obligation, Accumulated Benefit Obligation and Fair Value of Plan Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/EmployeeBenefitPlansWeightedaverageAssumptionsUsedDetails" id="EmployeeBenefitPlansWeightedaverageAssumptionsUsedDetails">
        <!--Parent Role: Employee Benefit Plans-->
        <link:definition>091108 - Disclosure - Employee Benefit Plans, Weighted-Average Assumptions Used (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/EmployeeBenefitPlansFairValuesOfPensionPlanAssetsDetails" id="EmployeeBenefitPlansFairValuesOfPensionPlanAssetsDetails">
        <!--Parent Role: Employee Benefit Plans-->
        <link:definition>091110 - Disclosure - Employee Benefit Plans, Fair Values of Pension Plan Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/EmployeeBenefitPlansDefinedContributionPlanDeferredCompensationAndOtherDetails" id="EmployeeBenefitPlansDefinedContributionPlanDeferredCompensationAndOtherDetails">
        <!--Parent Role: Employee Benefit Plans-->
        <link:definition>091112 - Disclosure - Employee Benefit Plans, Defined Contribution Plan, Deferred Compensation and Other (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/StockbasedCompensationDetails" id="StockbasedCompensationDetails">
        <!--Parent Role: Stock-Based Compensation-->
        <link:definition>091200 - Disclosure - Stock-Based Compensation (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/TaxesOtherThanIncomeTaxesDetails" id="TaxesOtherThanIncomeTaxesDetails">
        <!--Parent Role: Taxes Other than Income Taxes-->
        <link:definition>091300 - Disclosure - Taxes Other than Income Taxes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/IncomeTaxesDetails" id="IncomeTaxesDetails">
        <!--Parent Role: Income Taxes-->
        <link:definition>091400 - Disclosure - Income Taxes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/IncomeTaxesDetailsCalc2" id="IncomeTaxesDetailsCalc2">
        <!--Parent Role: Income Taxes (Details)-->
        <link:definition>091402 - Disclosure - Income Taxes (Details) Calc 2</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/SubsequentEventDetails" id="SubsequentEventDetails">
        <!--Parent Role: Subsequent Event-->
        <link:definition>091500 - Disclosure - Subsequent Event (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://yorkwater.com/role/ScheduleIiValuationAndQualifyingAccountsDetails" id="ScheduleIiValuationAndQualifyingAccountsDetails">
        <!--Parent Role: Schedule II - Valuation and Qualifying Accounts-->
        <link:definition>091600 - Schedule - Schedule II - Valuation and Qualifying Accounts (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:import namespace="http://fasb.org/us-gaap/2022" schemaLocation="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd" />
  <xs:import namespace="http://xbrl.sec.gov/dei/2022" schemaLocation="https://xbrl.sec.gov/dei/2022/dei-2022.xsd" />
  <xs:import namespace="http://xbrl.sec.gov/country/2022" schemaLocation="https://xbrl.sec.gov/country/2022/country-2022.xsd" />
  <xs:import namespace="http://xbrl.sec.gov/currency/2022" schemaLocation="https://xbrl.sec.gov/currency/2022/currency-2022.xsd" />
  <xs:import namespace="http://xbrl.sec.gov/exch/2022" schemaLocation="https://xbrl.sec.gov/exch/2022/exch-2022.xsd" />
  <xs:import namespace="http://xbrl.sec.gov/naics/2022" schemaLocation="https://xbrl.sec.gov/naics/2022/naics-2022.xsd" />
  <xs:import namespace="http://xbrl.sec.gov/sic/2022" schemaLocation="https://xbrl.sec.gov/sic/2022/sic-2022.xsd" />
  <xs:import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd" />
  <xs:import namespace="http://www.xbrl.org/2009/role/net" schemaLocation="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd" />
  <xs:import namespace="http://xbrl.sec.gov/stpr/2022" schemaLocation="https://xbrl.sec.gov/stpr/2022/stpr-2022.xsd" />
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <xs:import namespace="http://www.xbrl.org/2004/ref" schemaLocation="http://www.xbrl.org/2004/ref-2004-08-10.xsd" />
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
  <xs:import namespace="http://fasb.org/us-types/2022" schemaLocation="https://xbrl.fasb.org/us-gaap/2022/elts/us-types-2022.xsd" />
  <xs:import namespace="http://www.xbrl.org/2009/arcrole/fact-explanatoryFact" schemaLocation="http://www.xbrl.org/lrr/arcrole/factExplanatory-2009-12-16.xsd" />
  <xs:import namespace="http://fasb.org/srt/2022" schemaLocation="https://xbrl.fasb.org/srt/2022/elts/srt-2022.xsd" />
  <xs:import namespace="http://fasb.org/srt-types/2022" schemaLocation="https://xbrl.fasb.org/srt/2022/elts/srt-types-2022.xsd" />
  <xs:import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" />
  <xs:element name="CommonStockAndEarningsPerShareAbstract" id="yorw_CommonStockAndEarningsPerShareAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="CommonStockAndEarningsPerShareTextBlock" id="yorw_CommonStockAndEarningsPerShareTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="IncreaseDecreaseInMaterialsAndSuppliesPrepaidExpensesRegulatoryAndOtherAssets" id="yorw_IncreaseDecreaseInMaterialsAndSuppliesPrepaidExpensesRegulatoryAndOtherAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element name="IncreaseDecreaseInAccruedInterest" id="yorw_IncreaseDecreaseInAccruedInterest" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="MinimumEmploymentPeriodRequiredToPurchaseSharesUnderEmployeeStockPurchasePlan" id="yorw_MinimumEmploymentPeriodRequiredToPurchaseSharesUnderEmployeeStockPurchasePlan" type="xbrli:durationItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="NumberOfSharesAuthorizedUnissuedAndRolledOverUnderPlan" id="yorw_NumberOfSharesAuthorizedUnissuedAndRolledOverUnderPlan" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" />
  <xs:element name="NumberOfAuthorizedSharesRemainingToBeIssued" id="yorw_NumberOfAuthorizedSharesRemainingToBeIssued" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" />
  <xs:element name="PurchasePriceAsPercentageOfFairMarketValueOfCommonStock" id="yorw_PurchasePriceAsPercentageOfFairMarketValueOfCommonStock" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="DividendReinvestmentAndDirectStockPurchaseAndSalePlanMember" id="yorw_DividendReinvestmentAndDirectStockPurchaseAndSalePlanMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="OptionalDividendReinvestmentPortionOfPlanMember" id="yorw_OptionalDividendReinvestmentPortionOfPlanMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="DirectStockPurchasePortionOfPlanMember" id="yorw_DirectStockPurchasePortionOfPlanMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="MaximumPercentageOfGrossCompensationAllowedToPurchaseShares" id="yorw_MaximumPercentageOfGrossCompensationAllowedToPurchaseShares" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="PublicUtilitiesApprovedAmortizationPeriod" id="yorw_PublicUtilitiesApprovedAmortizationPeriod" type="xbrli:durationItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="RateCaseFilingExpensesMember" id="yorw_RateCaseFilingExpensesMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="ServiceLifeStudyExpensesMember" id="yorw_ServiceLifeStudyExpensesMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="TermOfTariffModificationToReplaceCustomerOwnedLeadServiceLines" id="yorw_TermOfTariffModificationToReplaceCustomerOwnedLeadServiceLines" type="xbrli:durationItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="TermOfConsentOrderAgreementToReplaceCustomerOwnedLeadServiceLines" id="yorw_TermOfConsentOrderAgreementToReplaceCustomerOwnedLeadServiceLines" type="xbrli:durationItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="TangiblePropertyRegulationsCatchUpDeductionMember" id="yorw_TangiblePropertyRegulationsCatchUpDeductionMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="NumberOfLeadCustomerOwnedServiceLinesToBeReplacedAnnually" id="yorw_NumberOfLeadCustomerOwnedServiceLinesToBeReplacedAnnually" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="CustomerOwnedLeadServiceLinesMember" id="yorw_CustomerOwnedLeadServiceLinesMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="ExcessAccumulatedDeferredIncomeTaxOnAcceleratedDepreciationMember" id="yorw_ExcessAccumulatedDeferredIncomeTaxOnAcceleratedDepreciationMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="IncomeTaxesOnCustomersAdvancesForConstructionAndContributionsInAidOfConstructionMember" id="yorw_IncomeTaxesOnCustomersAdvancesForConstructionAndContributionsInAidOfConstructionMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="NoteReceivablePolicyTextBlock" id="yorw_NoteReceivablePolicyTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="ContributionsInAidsOfConstructionPolicyTextBlock" id="yorw_ContributionsInAidsOfConstructionPolicyTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="CustomersAdvancesForConstructionPolicyTextBlock" id="yorw_CustomersAdvancesForConstructionPolicyTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="WastewaterUtilityServiceMember" id="yorw_WastewaterUtilityServiceMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="WaterUtilityServiceMember" id="yorw_WaterUtilityServiceMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="DistributionSystemImprovementChargeRevenue" id="yorw_DistributionSystemImprovementChargeRevenue" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element name="DistributionSystemImprovementChargePercentageOverBaseRate" id="yorw_DistributionSystemImprovementChargePercentageOverBaseRate" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="PennsylvaniaPublicUtilityCommissionMember" id="yorw_PennsylvaniaPublicUtilityCommissionMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="DistributionSystemImprovementChargeMember" id="yorw_DistributionSystemImprovementChargeMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="RateRequestFiledOnMay272022Member" id="yorw_RateRequestFiledOnMay272022Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="ServiceLineProtectionPlanMember" id="yorw_ServiceLineProtectionPlanMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="CollectionServicesMember" id="yorw_CollectionServicesMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="BillingAndRevenueCollectionServicesMember" id="yorw_BillingAndRevenueCollectionServicesMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="NumberOfMunicipalitiesWithinServiceTerritoryProvidedService" id="yorw_NumberOfMunicipalitiesWithinServiceTerritoryProvidedService" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="TermForCustomerToMakePaymentAfterBeingInvoiced" id="yorw_TermForCustomerToMakePaymentAfterBeingInvoiced" type="xbrli:durationItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="FireProtectionCustomersMember" id="yorw_FireProtectionCustomersMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="CommercialAndIndustrialCustomersMember" id="yorw_CommercialAndIndustrialCustomersMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="ResidentialCustomersMember" id="yorw_ResidentialCustomersMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="SeniorNotesDue2053Member" id="yorw_SeniorNotesDue2053Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="IssuanceOfCommonStockUnderDividendReinvestmentDirectStockAndEmployeeStockPurchasePlansShares" id="yorw_IssuanceOfCommonStockUnderDividendReinvestmentDirectStockAndEmployeeStockPurchasePlansShares" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="IssuanceOfCommonStockUnderDividendReinvestmentDirectStockAndEmployeeStockPurchasePlans" id="yorw_IssuanceOfCommonStockUnderDividendReinvestmentDirectStockAndEmployeeStockPurchasePlans" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element name="TermOfDebtOnUtilitiesUsedToDiscountProspectiveCashFlows" id="yorw_TermOfDebtOnUtilitiesUsedToDiscountProspectiveCashFlows" type="xbrli:durationItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="IncreaseDecreaseInFairValueOfSwapLiability" id="yorw_IncreaseDecreaseInFairValueOfSwapLiability" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element name="DebtInstrumentVariableInterestRateAnnualAverage" id="yorw_DebtInstrumentVariableInterestRateAnnualAverage" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" />
  <xs:element name="VariableRatePennsylvaniaEconomicDevelopmentFinancingAuthorityExemptFacilitiesRevenueRefundingBondsSeries2008ADue2029Member" id="yorw_VariableRatePennsylvaniaEconomicDevelopmentFinancingAuthorityExemptFacilitiesRevenueRefundingBondsSeries2008ADue2029Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="PeriodInWhichToReimburseBankForPurchasePriceOfTenderedBondsThatHaveNotBeenRemarketed" id="yorw_PeriodInWhichToReimburseBankForPurchasePriceOfTenderedBondsThatHaveNotBeenRemarketed" type="xbrli:durationItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="PercentageOfEmployeesUnderUnionContract" id="yorw_PercentageOfEmployeesUnderUnionContract" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" />
  <xs:element name="CostsForCustomerOwnedLeadServiceLineReplacementsExpectedCostRemainingUnderNineYearTariff" id="yorw_CostsForCustomerOwnedLeadServiceLineReplacementsExpectedCostRemainingUnderNineYearTariff" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" />
  <xs:element name="CostsForCustomerOwnedLeadServiceLineReplacementsCostIncurredToDateUnderFourYearTariff" id="yorw_CostsForCustomerOwnedLeadServiceLineReplacementsCostIncurredToDateUnderFourYearTariff" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" />
  <xs:element name="PurchaseCommitmentCommittedCapitalExpenditures" id="yorw_PurchaseCommitmentCommittedCapitalExpenditures" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element name="ArmorAndReplaceSpillwayOfLakeWilliamsDamMember" id="yorw_ArmorAndReplaceSpillwayOfLakeWilliamsDamMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="NumberOfCustomersAcquired" id="yorw_NumberOfCustomersAcquired" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" />
  <xs:element name="WaterAssetsAndWastewaterCollectionAndTreatmentAssetsOfCountryViewManorCommunityLlcMember" id="yorw_WaterAssetsAndWastewaterCollectionAndTreatmentAssetsOfCountryViewManorCommunityLlcMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="WastewaterCollectionAssetsOfWestManheimTownshipMember" id="yorw_WastewaterCollectionAssetsOfWestManheimTownshipMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="WaterAssetsOfScottWaterCompanyMember" id="yorw_WaterAssetsOfScottWaterCompanyMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="WastewaterCollectionAndTreatmentAssetsOfSycWwtpLPAndAlbrightTrailerParkOfRTBarclayIncMember" id="yorw_WastewaterCollectionAndTreatmentAssetsOfSycWwtpLPAndAlbrightTrailerParkOfRTBarclayIncMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="WaterAssetsAndWastewaterCollectionAndTreatmentAssetsJointlyOwnedByLetterkennyIndustrialDevelopmentAuthorityAndFranklinCountyGeneralAuthorityMember" id="yorw_WaterAssetsAndWastewaterCollectionAndTreatmentAssetsJointlyOwnedByLetterkennyIndustrialDevelopmentAuthorityAndFranklinCountyGeneralAuthorityMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="WaterAssetsOfAlbrightTrailerParkOfRTBarclayIncMember" id="yorw_WaterAssetsOfAlbrightTrailerParkOfRTBarclayIncMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="NoteReceivableAndCustomersAdvancesForConstructionAbstract" id="yorw_NoteReceivableAndCustomersAdvancesForConstructionAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="NoteReceivableAndCustomersAdvancesForConstructionTextBlock" id="yorw_NoteReceivableAndCustomersAdvancesForConstructionTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="AmountsRelatedToWaterDistrictProjectsTableTextBlock" id="yorw_AmountsRelatedToWaterDistrictProjectsTableTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="DebtInstrumentTermOfVariableRate" id="yorw_DebtInstrumentTermOfVariableRate" type="xbrli:durationItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="DerivativePercentageOfVariableInterestRate" id="yorw_DerivativePercentageOfVariableInterestRate" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" />
  <xs:element name="NetPaymentRateOnSwaps" id="yorw_NetPaymentRateOnSwaps" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="PotentialPaymentToCounterparty" id="yorw_PotentialPaymentToCounterparty" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element name="OtherCustomerAdvancesForConstruction" id="yorw_OtherCustomerAdvancesForConstruction" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element name="InterestIncomeOnNotesReceivable" id="yorw_InterestIncomeOnNotesReceivable" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element name="NumberOfMunicipalitiesWithAgreementsToExtendWaterService" id="yorw_NumberOfMunicipalitiesWithAgreementsToExtendWaterService" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="AmountsRelatedToWaterDistrictProjectsIncludedInBalanceSheetAbstract" id="yorw_AmountsRelatedToWaterDistrictProjectsIncludedInBalanceSheetAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="CustomerAdvancesForConstructionRelatedToWaterDistrictProjects" id="yorw_CustomerAdvancesForConstructionRelatedToWaterDistrictProjects" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardTermOfPlan" id="yorw_ShareBasedCompensationArrangementByShareBasedPaymentAwardTermOfPlan" type="xbrli:durationItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="YorkWaterCompanyLongTermIncentivePlanMember" id="yorw_YorkWaterCompanyLongTermIncentivePlanMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="TaxesOtherThanIncomeTaxesAbstract" id="yorw_TaxesOtherThanIncomeTaxesAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="TaxesOtherThanIncomeTaxesTextBlock" id="yorw_TaxesOtherThanIncomeTaxesTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="RegulatoryAssessmentTaxes" id="yorw_RegulatoryAssessmentTaxes" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="ComponentsOfTaxesOtherThanIncomeTaxesTableTextBlock" id="yorw_ComponentsOfTaxesOtherThanIncomeTaxesTableTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="CommittedLineOfCreditDue2023Member" id="yorw_CommittedLineOfCreditDue2023Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="CommittedLineOfCreditDue2024Member" id="yorw_CommittedLineOfCreditDue2024Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="AccountsPayableCurrentMember" id="yorw_AccountsPayableCurrentMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="SeniorNotesDue2050Member" id="yorw_SeniorNotesDue2050Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="SeniorNotesSeriesDDue2022Member" id="yorw_SeniorNotesSeriesDDue2022Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="SeniorNotesDue2040Member" id="yorw_SeniorNotesDue2040Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="YorkCountyIndustrialDevelopmentAuthorityExemptFacilitiesRevenueBondsSeries2015Due2029Through2045Member" id="yorw_YorkCountyIndustrialDevelopmentAuthorityExemptFacilitiesRevenueBondsSeries2015Due2029Through2045Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="PedfaExemptFacilitiesRevenueRefundingBondsSeriesAOf2019Member" id="yorw_PedfaExemptFacilitiesRevenueRefundingBondsSeriesAOf2019Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="SeniorNotesDue2049Member" id="yorw_SeniorNotesDue2049Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="PedfaExemptFacilitiesRevenueRefundingBondsSeriesBOf2019Member" id="yorw_PedfaExemptFacilitiesRevenueRefundingBondsSeriesBOf2019Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="CorporateContributionCarryoverMember" id="yorw_CorporateContributionCarryoverMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="TaxCreditCarryforwardsAbstract" id="yorw_TaxCreditCarryforwardsAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="NumberOfNewTaxPositionsTaken" id="yorw_NumberOfNewTaxPositionsTaken" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="OperatingLossTaxCarryforwardsAbstract" id="yorw_OperatingLossTaxCarryforwardsAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="DeferredTaxAssetsExcessAccumulatedDeferredIncomeTaxesOnAcceleratedDepreciation" id="yorw_DeferredTaxAssetsExcessAccumulatedDeferredIncomeTaxesOnAcceleratedDepreciation" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" />
  <xs:element name="DeferredTaxAssetsGrossUpOfRevenuesNecessaryToReturnInRatesEffectOfTemporaryDifferences" id="yorw_DeferredTaxAssetsGrossUpOfRevenuesNecessaryToReturnInRatesEffectOfTemporaryDifferences" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" />
  <xs:element name="RegulatoryLiabilityOngoingDeduction" id="yorw_RegulatoryLiabilityOngoingDeduction" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="TangiblePropertyRegulationsOngoingDeductionsMember" id="yorw_TangiblePropertyRegulationsOngoingDeductionsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="RegulatoryLiabilityAmortizationOfCatchUpDeduction" id="yorw_RegulatoryLiabilityAmortizationOfCatchUpDeduction" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="DeferredTaxAssetsCustomersAdvancesForConstructionAndContributionsInAidOfConstruction" id="yorw_DeferredTaxAssetsCustomersAdvancesForConstructionAndContributionsInAidOfConstruction" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" />
  <xs:element name="AmortizationOfExcessAccumulatedDeferredIncomeTaxes" id="yorw_AmortizationOfExcessAccumulatedDeferredIncomeTaxes" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="TangiblePropertyRegulationsDeduction" id="yorw_TangiblePropertyRegulationsDeduction" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="EffectiveIncomeTaxRateReconciliationCashValueOfLifeInsuranceAmount" id="yorw_EffectiveIncomeTaxRateReconciliationCashValueOfLifeInsuranceAmount" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="DeferredTaxLiabilitiesInvestmentTaxCredit" id="yorw_DeferredTaxLiabilitiesInvestmentTaxCredit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element name="DeferredTaxLiabilitiesCompensationAndBenefitsPensions" id="yorw_DeferredTaxLiabilitiesCompensationAndBenefitsPensions" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element name="DeferredTaxLiabilitiesRevenueGrossUpToRecoverTemporaryDifferenceInRates" id="yorw_DeferredTaxLiabilitiesRevenueGrossUpToRecoverTemporaryDifferenceInRates" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element name="DeferredTaxLiabilitiesBasisDifferencesFromIrsTpr" id="yorw_DeferredTaxLiabilitiesBasisDifferencesFromIrsTpr" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element name="ChangesInPlanAssetsAndBenefitObligationsRecognizedInRegulatoryAssetsTableTextBlock" id="yorw_ChangesInPlanAssetsAndBenefitObligationsRecognizedInRegulatoryAssetsTableTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="RegulatoryAssetsToBeReclassifiedIntoNetPeriodicBenefitCostDuringNext12MonthsTableTextBlock" id="yorw_RegulatoryAssetsToBeReclassifiedIntoNetPeriodicBenefitCostDuringNext12MonthsTableTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="ScheduleOfRegulatoryAssetsThatHaveNotYetBeenRecognizedAsComponentsOfNetPeriodicBenefitCostTableTextBlock" id="yorw_ScheduleOfRegulatoryAssetsThatHaveNotYetBeenRecognizedAsComponentsOfNetPeriodicBenefitCostTableTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="DefinedBenefitPensionPlansCombinedMember" id="yorw_DefinedBenefitPensionPlansCombinedMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="MaximumBorrowingPercentageOfUtilityPlant" id="yorw_MaximumBorrowingPercentageOfUtilityPlant" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="BaseAmountAddedToAnnualNetIncomeToDetermineRestrictionOnDividendsAndStockAcquisition" id="yorw_BaseAmountAddedToAnnualNetIncomeToDetermineRestrictionOnDividendsAndStockAcquisition" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="DefinedBenefitPlanEquitySecuritiesInternationalDevelopedNationsMember" id="yorw_DefinedBenefitPlanEquitySecuritiesInternationalDevelopedNationsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="DefinedBenefitPlanEquitySecuritiesInternationalEmergingNationsMember" id="yorw_DefinedBenefitPlanEquitySecuritiesInternationalEmergingNationsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="MaximumEquitySecuritiesHoldingsInAnyOneIndustry" id="yorw_MaximumEquitySecuritiesHoldingsInAnyOneIndustry" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="PercentageByWhichReturnOnPlanAssetsShouldExceedAnnualRateOfInflation" id="yorw_PercentageByWhichReturnOnPlanAssetsShouldExceedAnnualRateOfInflation" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="MinimumNumberOfIndividualStocksThatMustBeIncludedInInternationalStockPortfolio" id="yorw_MinimumNumberOfIndividualStocksThatMustBeIncludedInInternationalStockPortfolio" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="InvestmentPerformanceObjectivesBenchmarkPeriod" id="yorw_InvestmentPerformanceObjectivesBenchmarkPeriod" type="xbrli:durationItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="MinimumNumberOfIndividualStocksThatMustBeIncludedInDomesticStockPortfolio" id="yorw_MinimumNumberOfIndividualStocksThatMustBeIncludedInDomesticStockPortfolio" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="MaximumFixedIncomeSecuritiesHoldingsInAnySingleIssuer" id="yorw_MaximumFixedIncomeSecuritiesHoldingsInAnySingleIssuer" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="MaximumEquitySecuritiesHoldingsInAnyOneCompany" id="yorw_MaximumEquitySecuritiesHoldingsInAnyOneCompany" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="DebtSecurityCorporateNonUsMember" id="yorw_DebtSecurityCorporateNonUsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="DefinedContributionPlanAnnualEmployerDiscretionaryContribution" id="yorw_DefinedContributionPlanAnnualEmployerDiscretionaryContribution" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="DefinedContributionPlanNumberOfEmployeesParticipatingInEnhancedFeatureOfPlan" id="yorw_DefinedContributionPlanNumberOfEmployeesParticipatingInEnhancedFeatureOfPlan" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="AmountPayableUponRetireesDeath" id="yorw_AmountPayableUponRetireesDeath" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="DefinedContributionPlanMaximumAnnualContributionPerEmployeeAmount1" id="yorw_DefinedContributionPlanMaximumAnnualContributionPerEmployeeAmount1" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="DeferredCompensationArrangementWithIndividualCompensationExpenseIncome" id="yorw_DeferredCompensationArrangementWithIndividualCompensationExpenseIncome" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="AmortizationOfRegulatoryAssetsToBeReclassifiedIntoNetPeriodicBenefitCostAbstract" id="yorw_AmortizationOfRegulatoryAssetsToBeReclassifiedIntoNetPeriodicBenefitCostAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="NetPriorServiceCreditToBeReclassifiedIntoNetPeriodicBenefitCostDuringNext12Months" id="yorw_NetPriorServiceCreditToBeReclassifiedIntoNetPeriodicBenefitCostDuringNext12Months" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="DefinedBenefitPlanChangeInRegulatoryAssets" id="yorw_DefinedBenefitPlanChangeInRegulatoryAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="EstimatedNetLossToBeReclassifiedIntoNetPeriodicBenefitCostDuringNext12Months" id="yorw_EstimatedNetLossToBeReclassifiedIntoNetPeriodicBenefitCostDuringNext12Months" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="DefinedBenefitPlanChangeInRegulatoryAsset" id="yorw_DefinedBenefitPlanChangeInRegulatoryAsset" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="AmortizationOfRegulatoryAssetsToBeReclassifiedIntoNetPeriodicBenefitCostDuringNext12Months" id="yorw_AmortizationOfRegulatoryAssetsToBeReclassifiedIntoNetPeriodicBenefitCostDuringNext12Months" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="DefinedBenefitPlanTermToKeepDistributionsInImmediatelyAvailableFunds" id="yorw_DefinedBenefitPlanTermToKeepDistributionsInImmediatelyAvailableFunds" type="xbrli:durationItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="ThresholdForAmortizationOfGainsAndLosses" id="yorw_ThresholdForAmortizationOfGainsAndLosses" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" />
  <xs:element name="DefinedBenefitPlanActuarialGainLossRecognizedAsRegulatoryAsset" id="yorw_DefinedBenefitPlanActuarialGainLossRecognizedAsRegulatoryAsset" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="DefinedBenefitPlanAssumptionsUsedCalculatingBenefitObligationIncreaseDecreaseInDiscountRate" id="yorw_DefinedBenefitPlanAssumptionsUsedCalculatingBenefitObligationIncreaseDecreaseInDiscountRate" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="MaximumPeriodOfEligibleService" id="yorw_MaximumPeriodOfEligibleService" type="xbrli:durationItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="DefinedBenefitPlanNetGainLossRecognizedAsRegulatoryAsset" id="yorw_DefinedBenefitPlanNetGainLossRecognizedAsRegulatoryAsset" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="AmountsRecognizedInRegulatoryAssetsThatHaveNotYetBeenRecognizedAsComponentsOfNetPeriodicBenefitCostAbstract" id="yorw_AmountsRecognizedInRegulatoryAssetsThatHaveNotYetBeenRecognizedAsComponentsOfNetPeriodicBenefitCostAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="DefinedBenefitPlanNetGainLossRecognizedInRegulatoryAssets" id="yorw_DefinedBenefitPlanNetGainLossRecognizedInRegulatoryAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" />
  <xs:element name="DefinedBenefitPlanPriorServiceCostCreditRecognizedInRegulatoryAssets" id="yorw_DefinedBenefitPlanPriorServiceCostCreditRecognizedInRegulatoryAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" />
  <xs:element name="DefinedBenefitPlanRegulatoryAsset" id="yorw_DefinedBenefitPlanRegulatoryAsset" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" />
  <xs:element name="DefinedBenefitPlanPriorServiceCostCreditRecognizedAsRegulatoryAsset" id="yorw_DefinedBenefitPlanPriorServiceCostCreditRecognizedAsRegulatoryAsset" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="ChangesInPlanAssetsAndBenefitObligationsRecognizedInRegulatoryAssetsAbstract" id="yorw_ChangesInPlanAssetsAndBenefitObligationsRecognizedInRegulatoryAssetsAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="IncreaseDecreaseInRegulatoryAsset" id="yorw_IncreaseDecreaseInRegulatoryAsset" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="InterestRateSwapGainLossDeferredAsRegulatoryAsset" id="yorw_InterestRateSwapGainLossDeferredAsRegulatoryAsset" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="InterestRateCashFlowHedgeSettlementsReclassifiedFromRegulatoryAssetToInterestExpense" id="yorw_InterestRateCashFlowHedgeSettlementsReclassifiedFromRegulatoryAssetToInterestExpense" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element name="NumberOfWastewaterCollectionAndTreatmentSystemsOperated" id="yorw_NumberOfWastewaterCollectionAndTreatmentSystemsOperated" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="NumberOfCountiesInWhichFranchisedTerritoryIsLocated" id="yorw_NumberOfCountiesInWhichFranchisedTerritoryIsLocated" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="NumberOfWastewaterCollectionSystemsOperated" id="yorw_NumberOfWastewaterCollectionSystemsOperated" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" />
  <xs:element name="MainsAndAccessoriesMember" id="yorw_MainsAndAccessoriesMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="UtilityPlantInServiceMember" id="yorw_UtilityPlantInServiceMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="PumpingAndTreatmentEquipmentMember" id="yorw_PumpingAndTreatmentEquipmentMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="OfficeTransportationAndOperatingEquipmentMember" id="yorw_OfficeTransportationAndOperatingEquipmentMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="ServicesMetersAndHydrantsMember" id="yorw_ServicesMetersAndHydrantsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="OperationsStructuresReservoirsAndWaterTanksMember" id="yorw_OperationsStructuresReservoirsAndWaterTanksMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="LandAndOtherNonDepreciableAssetsMember" id="yorw_LandAndOtherNonDepreciableAssetsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xs:element name="PublicUtilitiesPropertyPlantAndEquipmentAmortizationOfUtilityPlantAcquisitionAdjustments" id="yorw_PublicUtilitiesPropertyPlantAndEquipmentAmortizationOfUtilityPlantAcquisitionAdjustments" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="IncreaseDecreaseInAccountsReceivableNet" id="yorw_IncreaseDecreaseInAccountsReceivableNet" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="IncreaseDecreaseInAccountsReceivableGrossCurrent" id="yorw_IncreaseDecreaseInAccountsReceivableGrossCurrent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="ReceivablesGrossCurrent" id="yorw_ReceivablesGrossCurrent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" />
  <xs:element name="IncreaseDecreaseInReceivablesGrossCurrent" id="yorw_IncreaseDecreaseInReceivablesGrossCurrent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="IncreaseDecreaseInOtherReceivablesGrossCurrent" id="yorw_IncreaseDecreaseInOtherReceivablesGrossCurrent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element name="IncreaseDecreaseInContractWithCustomerAssetCurrent" id="yorw_IncreaseDecreaseInContractWithCustomerAssetCurrent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" />
</xs:schema>
